---
title: "Florida Payroll Taxes & SUI Wage Base Limits (2026 Employer Guide)"
source_url: "https://statepayrules.com/payroll-taxes/florida/"
canonical_url: "https://statepayrules.com/payroll-taxes/florida/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Complete statutory guide to Florida State Unemployment Insurance (SUI) taxable wage base, State Disability Insurance (SDI), Paid Family Leave (PFML), and employer payroll withholdings under FL Const. Art. X § 24."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/payroll-taxes/florida/](https://statepayrules.com/payroll-taxes/florida/)
>
> *Complete statutory guide to Florida State Unemployment Insurance (SUI) taxable wage base, State Disability Insurance (SDI), Paid Family Leave (PFML), and employer payroll withholdings under FL Const. Art. X § 24.*

### Managing payroll or shift workers in Florida?

Avoid Department of Labor non-compliance fines. Automate state-specific overtime, double-time rules, tip credits, and statutory tax withholdings with **Gusto Payroll Automation**.

## State Unemployment Insurance (SUI) & Tax Structure in Florida

In Florida, employers must contribute to State Unemployment Insurance (SUI) based on experience ratings and annual employee taxable wage limits under FL Const. Art. X § 24.

### Employer SUI Contributions

Experience-rated tax paid entirely by employers up to the state annual wage base floor.

### FUTA Credit Offset (6.0% - 5.4%)

Compliant state SUI payments earn employers up to a 5.4% credit against federal 6.0% FUTA tax.

## Mandatory Payroll Withholding Summary

### Help Florida Coworkers Audit Unpaid Wage Violations

Over $3 Billion in statutory overtime, daily premiums, and meal break penalty pay goes uncollected every year. Share this free statutory utility with your team or shift coworkers.

### Statutory Summary

Florida minimum wage increases annually under Constitutional Amendment 2 until reaching $15.00/hr in 2026. FLSA weekly overtime rules apply.

### Calculate Take-Home Pay

Compute net paycheck after FICA & Florida state taxes.

## Automate Florida Payroll & Tax Compliance

Avoid compliance penalties and SUI wage base errors. Calculate exact 2026 Florida overtime rates, net paycheck take-home, and statutory tax withholdings in seconds.

### Statutory Compliance Internal Mesh

#### Florida Statutory Guides

- [Florida Payday Laws →](https://statepayrules.com/payday-laws/florida)
- [Florida Meal & Rest Breaks →](https://statepayrules.com/break-laws/florida)
- [Florida Salaried Exempt Rules →](https://statepayrules.com/salaried-exempt/florida)
- [Florida Payroll Tax Rates →](https://statepayrules.com/payroll-taxes/florida)

#### Compare Florida Pay Rules

- [Florida vs Georgia →](https://statepayrules.com/calculator/compare/florida-vs-georgia)
- [Florida vs Alabama →](https://statepayrules.com/calculator/compare/florida-vs-alabama)

#### Florida Profession Tools

- [Florida Registered Nurse →](https://statepayrules.com/calculator/florida/registered-nurse)
- [Florida Fast Food & Counter Worker →](https://statepayrules.com/calculator/florida/fast-food-worker)
- [Florida Construction Laborer →](https://statepayrules.com/calculator/florida/construction-laborer)
- [Florida Electrician →](https://statepayrules.com/calculator/florida/electrician)

#### Davis-Bacon Prevailing Wages

- [LA County Prevailing Wage →](https://statepayrules.com/prevailing-wage/california/los-angeles-county)
- [Harris County TX Wage →](https://statepayrules.com/prevailing-wage/texas/harris-county)
- [Cook County IL Wage →](https://statepayrules.com/prevailing-wage/illinois/cook-county)

## Structured FAQ Summary (Schema.org Grounded)
- **What is the minimum wage in Florida for 2026?** The 2026 statutory minimum wage in Florida is $14.00 per hour under FL Const. Art. X § 24.
- **Does Florida require daily overtime pay?** Florida does not require daily overtime. Overtime is calculated weekly for hours exceeding 40 hours under FLSA 29 U.S.C. § 207.
- **Are employers in Florida allowed to take a tip credit?** Yes, Florida allows employers to take a maximum tip credit of $3.02/hr against tipped workers, requiring a minimum direct cash wage of $14.00/hr.
- **What is the SUI wage base limit in Florida?** In Florida, State Unemployment Insurance (SUI) taxes apply to earned wages up to the statutory annual taxable wage base limit established under state employment tax codes (FL Const. Art. X § 24).
- **Does Florida have state income tax or SDI withholdings?** Payroll withholdings in Florida depend on state income tax brackets, SUI tax rates, FICA (7.65%), and state disability or family leave programs where applicable.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/payroll-taxes/florida/](https://statepayrules.com/payroll-taxes/florida/).
